DB->get_partition_callback()
Prev | Chapter 2. The DB Handle | Next

## DB->get_partition_callback()

    #include <db.h>

    int
    DB->get_partition_callback(DB *db, u_int32_t *partsp,
    	u_int32_t (**callback_fcn) (DB *dbp, DBT *key);

The `DB->get_partition_callback()` method returns the partitioning information as set by the DB->set_partition() method.

The `DB->get_partition_callback()` method may be called at any time during the life of the application.

The `DB->get_partition_callback()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### partsp

The `DB->get_partition_callback()` method returns number of partitions in the partsp parameter.

#### callback_fcn

The callback_fcn parameter will be set to the partitioning function.

### Class

DB

### See Also

Database and Related Methods, DB->set_partition()

Prev | Up | Next
DB->get_open_flags() | Home | DB->get_partition_dirs()